Bug 460267 - system-config-samba ignores custom value of "username map" option
system-config-samba ignores custom value of "username map" option
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
11
All Linux
medium Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 460262
  Show dependency treegraph
 
Reported: 2008-08-27 04:18 EDT by Nils Philippsen
Modified: 2010-04-28 11:11 EDT (History)
0 users

See Also:
Fixed In Version: system-config-samba-1.2.70
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 11:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2008-08-27 04:18:17 EDT
+++ This bug was initially created as a clone of Bug #460262 +++

Description of problem:
system-config-samba ignores custom value of the "username map" option in smb.conf and even replaces it with its hardwired path: /etc/samba/smbusers. 

This leads to denial of services for all users specified in the custom file.

Packages affected:
system-config-samba-1.2.39-1
system-config-samba-1.2.41-3

How reproducible:
always

Steps to Reproduce:
1. set "username map" in smb.conf to point to some other file than /etc/samba/smbusers
2. add user to samba (smbpasswd -a user) and create a username mapping (echo 'user = "winuser"' >> /custom/mappings/file)
3.run system-config-file and add another user
4. try to access samba service as winuser (smbclient -L localhost -Uwinuser%password)

Actual results:
Authentication fails because winuser is no longer recognised as a known user.

Expected results:
Samba shares are listed.
Comment 1 Bug Zapper 2008-11-25 21:51:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Nils Philippsen 2009-02-11 07:32:44 EST
fixed upstream: 7400aebac205c2fead435c0100527d2b23262025
Comment 3 Bug Zapper 2009-06-09 05:41:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 08:12:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Nils Philippsen 2010-04-28 11:11:54 EDT
Long since fixed in system-config-samba-1.2.70.

Note You need to log in before you can comment on or make changes to this bug.